orrisapi en
  1. nano banana (Gemini Native)
orrisapi en
  • How to Integrate CCAPI LLM into OpenClaw
  • Chat
    • Google
      • Gemini Generate Content
      • Gemini Stream Generate Content
    • Anthropic
      • Create Claude Message
    • OpenAI
      • Create Chat Completion
      • Create Response (OpenAI Responses API)
    • DeepSeek
      • Create Chat Completion
    • MiniMax
      • Create Chat Completion
    • Create Text Completion (Legacy)
      POST
  • Image
    • nano banana (Gemini Native)
      • Generate Image With Gemini Native API
        POST
    • nano banana (Pay-per-image)
      • Generate Image
  • Video
    • Vidu Video Generation API
    • Seedance Video Generation API
    • Generate Video
      POST
    • Query Video Task
      GET
    • Video Content Proxy
      GET
    • Kling Text-to-Video
      POST
    • Kling Text-to-Video Task Status
      GET
    • Kling Image-to-Video
      POST
    • Kling Image-to-Video Task Status
      GET
  • Images
    • Jimeng Image Generate
      POST
  • Audio
    • Producer
      • Producer Submit - Generate Music
      • Producer Submit - Generate Lyrics
      • Producer Submit - Extend Music
      • Producer Submit - Generate Cover
      • Producer Submit - Generate Variation
      • Producer Submit - Replace Track
      • Producer Submit - Vocals Swap
      • Producer Submit - Instrumentals Swap
      • Producer Submit - Stems Separation
      • Producer Submit - Download
      • Producer Submit - Upload Audio
      • Producer Submit - Generate Video
      • Producer Fetch Task by ID
      • Producer Fetch Tasks (Batch)
    • Suno
      • Suno Submit - Generate Music
      • Suno Submit - Generate Lyrics
      • Suno Submit - Extend Song
      • Suno Submit - Generate Cover
      • Suno Submit - Stems Separation
      • Suno Submit - Full Stems Separation
      • Suno Submit - Add Vocals
      • Suno Submit - Add Instrumental
      • Suno Submit - Replace Section
      • Suno Submit - Remaster
      • Suno Submit - Mashup
      • Suno Submit - Sample
      • Suno Submit - Generate Sound Effects
      • Suno Submit - Generate MIDI
      • Suno Submit - Upload Audio
      • Suno Submit - Concatenate Tracks
      • Suno Submit - Aligned Lyrics
      • Suno Submit - Generate Music Video
      • Suno Submit - Download as WAV
      • Suno Submit - Persona Voice
      • Suno Submit - Generate with BPM
      • Suno Submit - Vox (Vocals Only)
      • Suno Submit - Upsample Tags
      • Suno Fetch Task by ID
      • Suno Fetch Tasks (Batch)
    • Create Transcription
      POST
    • Create Translation
      POST
    • Suno Generate (Unified)
      POST
    • Suno Fetch (Unified)
      GET
    • Producer Generate (Unified)
      POST
    • Producer Fetch (Unified)
      GET
  • Embeddings
    • Create Embeddings
  • Models
    • List Models
    • Get Model
  • Moderation
    • Create Moderation
  • Midjourney
    • Midjourney Imagine
    • Midjourney Task Status
  • Realtime
    • Realtime API (WebSocket)
  • Schemas
    • RequestBodies
      • producerSubmitCoverBody
      • jimengGenerateBody
      • producerSubmitUploadBody
      • producerSubmitDownloadBody
      • producerFetchBatchBody
    • ErrorResponse
    • OpenAIError
    • ChatCompletionRequest
    • Message
    • ContentPart
    • ToolCall
    • ToolCallResponse
    • ChatCompletionResponse
    • ChatCompletionStreamResponse
    • ResponsesRequest
    • ResponsesResponse
    • ImageRequest
    • ImageResponse
    • VideoResponse
    • KlingText2VideoRequest
    • KlingImage2VideoRequest
    • AudioResponse
    • EmbeddingRequest
    • EmbeddingResponse
    • Model
    • Usage
    • ProducerMusicRequest
    • ProducerTaskResponse
    • ProducerFetchResponse
    • SunoMusicRequest
    • SunoTaskResponse
    • SunoFetchResponse
  1. nano banana (Gemini Native)

Generate Image With Gemini Native API

POST
/v1beta/models/{model}:generateContent
使用 Gemini 原生 generateContent 接口生成图片。
详细信息参考:https://ai.google.dev/gemini-api/docs/image-generation。
请求和响应结构尽量保持 Google AI Studio API 风格,平台仅在鉴权、代理路由和可选的图片 URL 改写上做增强。

与按次付费版的区别#

本接口走 Gemini 原生 contents / parts
使用原生模型名,例如 gemini-2.5-flash-image
可通过 image_response_format 在 base64 和 url 之间切换返回形式
不走 POST /v1/images/generations 的公开模型名封装

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Path Params

Query Params

Header Params

Body Params application/jsonRequired

Examples
{
    "contents": [
        {
            "role": "user",
            "parts": [
                {
                    "text": "Generate a square icon of a blue paper airplane on a white background."
                }
            ]
        }
    ],
    "generationConfig": {
        "responseModalities": [
            "TEXT",
            "IMAGE"
        ],
        "imageConfig": {
            "imageSize": "2K",
            "aspectRatio": "1:1"
        }
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST 'https://api.ccapi.ai//v1beta/models/:generateContent?key=sk-xxxx' \
--header 'x-goog-api-key: sk-xxxx' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "contents": [
        {
            "role": "user",
            "parts": [
                {
                    "text": "Generate a square icon of a blue paper airplane on a white background."
                }
            ]
        }
    ],
    "generationConfig": {
        "responseModalities": [
            "TEXT",
            "IMAGE"
        ],
        "imageConfig": {
            "imageSize": "2K",
            "aspectRatio": "1:1"
        }
    }
}'

Responses

🟢200成功
application/json
成功
Body

Examples
{
    "candidates": [
        {
            "content": {
                "role": "model",
                "parts": [
                    {
                        "inlineData": {
                            "mimeType": "image/png",
                            "data": "iVBORw0KGgoAAAANSUhEUgAA..."
                        }
                    },
                    {
                        "text": "Here is a generated image based on your prompt."
                    }
                ]
            },
            "finishReason": "STOP"
        }
    ],
    "usageMetadata": {
        "promptTokenCount": 42,
        "candidatesTokenCount": 2520,
        "totalTokenCount": 2562
    }
}
🟠400请求有误
🟠401未认证
🟠403权限不足
Modified at 2026-03-14 17:18:15
Previous
Create Text Completion (Legacy)
Next
Generate Image
Built with